Bug 1983053 - %pyproject_buildrequires warns about invalid requirements, but does not fail
Summary: %pyproject_buildrequires warns about invalid requirements, but does not fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyproject-rpm-macros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-16 11:00 UTC by Miro Hrončok
Modified: 2021-08-02 01:06 UTC (History)
3 users (show)

Fixed In Version: pyproject-rpm-macros-0-46.fc35 pyproject-rpm-macros-0-46.fc34 pyproject-rpm-macros-0-46.fc33
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-23 13:04:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-07-16 11:00:49 UTC
Currently, with pyproject-rpm-macrs 0-44, when %pyproject_buildrequires encounters an invalid dependency, it warns about it and skips it, e.g.

	
    WARNING: Skipping invalid requirement: pkg ~= 42
    WARNING: Skipping invalid requirement: pkg ~= 0.1.*

My assumption is that pip fails with such requirements and if it does, maybe we should fail as well. In my opinion, invalid requirements should be fixed, not (almost silently) skipped.

Comment 2 Fedora Update System 2021-07-23 13:03:33 UTC
FEDORA-2021-a33e4b0558 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a33e4b0558

Comment 3 Fedora Update System 2021-07-23 13:04:00 UTC
FEDORA-2021-a33e4b0558 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-07-23 13:23:29 UTC
FEDORA-2021-3d06d86fe9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3d06d86fe9

Comment 5 Fedora Update System 2021-07-23 13:23:30 UTC
FEDORA-2021-fcf5e2adc6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fcf5e2adc6

Comment 6 Fedora Update System 2021-07-24 01:18:24 UTC
FEDORA-2021-fcf5e2adc6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fcf5e2adc6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fcf5e2adc6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-24 01:25:01 UTC
FEDORA-2021-3d06d86fe9 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3d06d86fe9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3d06d86fe9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-02 01:03:22 UTC
FEDORA-2021-fcf5e2adc6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-08-02 01:06:16 UTC
FEDORA-2021-3d06d86fe9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.